#include <RH_ASK.h>                              // Подключение библиотеки RadioHead 
#include <SPI.h>                                 // Подключение библиотеки SPI 
 
RH_ASK rf_driver;                                // Создаем объект "RH_ASK" для работы с библиотекой RadioHead
 
void setup()
{
    rf_driver.init();                            // Инициализация библиотеки RadioHead.
    Serial.begin(9600);                          // Настройка последовательной связи
}
 
void loop()
{
    uint8_t buf[15];                            // Создаем буфер для получения сообщения
    uint8_t buflen = sizeof(buf);
    if (rf_driver.recv(buf, &buflen))           // Включение радиомодуля и чтение сообщения 
    {
      Serial.print("Message Received: ");       // Печать текста
      Serial.println((char*)buf);               // Печать полученного сообщения
    }
}
